const points = [
	{angle: 0, r0: 20, r1: 80},
	{angle: Math.PI * 0.25, r0: 20, r1: 40},
	{angle: Math.PI * 0.5, r0: 20, r1: 80},
	{angle: Math.PI * 0.75, r0: 20, r1: 40},
	{angle: Math.PI, r0: 20, r1: 80},
	{angle: Math.PI * 1.25, r0: 20, r1: 40},
	{angle: Math.PI * 1.5, r0: 20, r1: 80},
	{angle: Math.PI * 1.75, r0: 20, r1: 40},
	{angle: Math.PI * 2, r0: 20, r1: 80}
];

const radialAreaGenerator = d3.radialArea()
	.angle(d => d.angle)
	.innerRadius(d => d.r0)
	.outerRadius(d => d.r1);

const pathData = radialAreaGenerator(points)

d3.select('g')
	.append('path')
	.attr('fill', '#cdcdcd')
	.attr('d', pathData);